package com.engine.salary.enums.siaccount;


import com.engine.salary.enums.BaseEnum;

/**
 * @Description:
 * @Author: zhangheng
 * @CreateDate: 2021/12/6 9:32
 * @Version: v1.0
 */
public enum PaymentStatusEnum implements BaseEnum<Integer> {

    COMMON(0, "正常缴纳", 92265),
    REPAIR(1, "补缴", 92266),
    PAYMENT(2,"代缴",121755),
    RECESSION(3,"退差",134057),
    BALANCE(4,"补差",139823);

    private Integer value;

    private String defaultLable;

    private Integer labelId;

    PaymentStatusEnum(Integer value, String defaultLable, Integer labelId) {
        this.value = value;
        this.defaultLable = defaultLable;
        this.labelId = labelId;
    }

    public Integer getValue() {
        return this.value;
    }

    public Integer getLabelId() {
        return this.labelId;
    }

    public String getDefaultLabel() {
        return this.defaultLable;
    }
}
